import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable } from "rxjs";
import { LookupServiceConfig } from "../../core/dto/lookup-service-config";
import { FgtsTaxationService } from "../../core/entities/fgts-taxation/fgts-taxation.service";
import { Filter } from '../../shared/commons/filter-interface';
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class FgtsTaxationLookupService {
    private translate;
    private configService;
    private fgtsTaxationService;
    private accumulatorTypeOptions;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, fgtsTaxationService: FgtsTaxationService);
    lookupServiceConfig: LookupServiceConfig;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    getFormField(): FormField;
    onFgtsTaxationSearchRequest(event: any): void;
    onFgtsTaxationSearchRequestObservable(event: any, additionalFilter: string, companyIds: string[], isDynamicForm?: boolean): Observable<any>;
    private getFiltersDefaultFgtsTaxation;
    private mapToComponent;
    private getLabelForMaping;
    onFgtsTaxationLookupRequest(value: string): void;
    onFgtsTaxationLookupRequestObservable(value: string, additionalFilter: string, filter?: Filter[]): Observable<any>;
    getFgtsTaxationSearchFields(displayFields?: string[]): FormField[];
}
